Package org.eclipse.draw2d

# Class ColorProvider.SystemColorFactory

java.lang.Object
org.eclipse.draw2d.ColorProvider.SystemColorFactory

Enclosing interface:
  ColorProvider

public static class ColorProvider.SystemColorFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`SystemColorFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ColorProvider`
`getColorProvider()`
`static void`
`setColorProvider(ColorProvider colorProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SystemColorFactory

public SystemColorFactory()

## Method Details

### getColorProvider

public static ColorProvider getColorProvider()

### setColorProvider

public static void setColorProvider(ColorProvider colorProvider)